## **Developing predictive models for COVID-19 diagnosis in paediatric patients: A case study about the potentials of Machine Learning in Public Health**
By Anna Mas-Casadesús / July 2020 / [AllWomen Data Science Bootcamp Capstone Project](https://www.allwomen.tech/academy/data-science-immersive-program/)

**Codebook**

The raw dataset (![#1589F0](https://via.placeholder.com/15/1589F0/000000?text=+) *symptoms_paediatric_original.xlsx*) used in this project has information from 86 children of Hospital Vall d'Hebron of Barcelona, 19 of which were diagnosed with COVID-19 and the remaining 67 with other illnesses. We can find the following variables:
   - `id` (patient identification; numeric code)
   - `age` (numeric)
   - `sex` (0 = female, 1 = male)
   - `covid19` (0 = no, 1 = yes)
   - `diagnosis` (string categories)
   - `causal_agent` (string categories)
   - `symptomsonset` (symptoms onset; date)
   - `diagnosisdate` (diagnosis date; date)
   - `underlying` (underlying conditions; no/yes)
   - `underlyingn` (duplicate of `underlying`; 0 = no, 1 = yes)
   - `immunosuppress` (immunosupppressed)
   - `idp_ids` (primary/secondary immunodeficiency; 0 = no, 1 = yes)
   - `admission` (admission to the hospital; 0 = no, 1 = yes)
   - `admbycovid` (admission to the hospital for COVID-19; 0 = no, 1 = yes)
   - `admbbyother` (admission to the hospital for other reasons; 0 = no, 1 = yes)
   - `admpicu` (admission to the paediatric intenstive care unit; 0 = no, 1 = yes)
   - `resp` (respiratory symptoms; 0 = no, 1 = yes)
   - `gi` (gastrointestinal symptoms; 0 = no, 1 = yes)
   - `fever` (0 = no, 1 = yes)
   - `cxr` (chest x-ray peformed; 0 = no, 1 = yes)
   - `cxrpneumonia` (pneumonia; 0 = no, 1 = yes)
   - `o2` (oxygen therapy; 0 = no, 1 = yes)
   - `vmi` (invasive mechanical ventilation; 0 = no, 1 = yes)
   - `inotropic` (inotropics therapy; 0 = no, 1 = yes)
   - `othervirus` (other virus; 0 = no, 1 = yes)
   - `virusname` (other virus name; string categories)
   - `ab` (antibiotics therapy; 0 = no, 1 = yes)
   - `abtype` (type of antibiotics therapy; mix of string and coded categories)
   - `cortis` (corticoids therapy; 0 = no, 1 = yes)
   - `death` (0 = no, 1 = yes)
   - `cxrpn` (duplicate of `cxrpneumonia`)
   - `resp1` (duplicate of `resp`)
   - `age1` (0 <= 1 years, 1 <= 5 years, 2 <= 10 years, 3 > 10 years)
   - `age2` (0 <= 5 years, 1 > 5 years)
   - `o21` (duplicate of `o2`)
   - `neutro` (neutrocytes blood count)
   - `linfo` (lymphocytes blood count)
   - `crp` (c-reactive protein blood count)
   - `linfo1` (duplicate of `linfo1`)
   - `crp1` (duplicate of `crp`)
   - `neutro1` (duplicate of `neutro`)
   - `admission1` (duplicate of `admission`)
   - `sex1` (duplicate of `sex`)
